package com.bonus.sgzb.app.domain;

import com.bonus.sgzb.common.core.annotation.Excel;
import com.bonus.sgzb.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 入库任务详细input_apply_details对象 input_apply_details
 * 
 * @author bonus
 * @date 2023-12-24
 */
public class InputApplyDetails extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 任务ID */
    @Excel(name = "任务ID")
    private Long taskId;

    /** 机具ID */
    @Excel(name = "机具ID")
    private Long maId;

    /** 规格ID */
    @Excel(name = "规格ID")
    private Long typeId;

    /** 上级任务ID */
    @Excel(name = "上级任务ID")
    private Long parentId;

    /** 入库数量 */
    @Excel(name = "入库数量")
    private Integer inputNum;

    /** 入库类型（1新购，2退料，3修试后，4盘点） */
    @Excel(name = "入库类型", readConverterExp = "1=新购，2退料，3修试后，4盘点")
    private String inputType;

    /** 数据所属组织 */
    @Excel(name = "数据所属组织")
    private Long companyId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTaskId(Long taskId) 
    {
        this.taskId = taskId;
    }

    public Long getTaskId() 
    {
        return taskId;
    }
    public void setMaId(Long maId) 
    {
        this.maId = maId;
    }

    public Long getMaId() 
    {
        return maId;
    }
    public void setTypeId(Long typeId) 
    {
        this.typeId = typeId;
    }

    public Long getTypeId() 
    {
        return typeId;
    }
    public void setParentId(Long parentId) 
    {
        this.parentId = parentId;
    }

    public Long getParentId() 
    {
        return parentId;
    }
    public void setInputNum(Integer inputNum)
    {
        this.inputNum = inputNum;
    }

    public Integer getInputNum()
    {
        return inputNum;
    }
    public void setInputType(String inputType) 
    {
        this.inputType = inputType;
    }

    public String getInputType() 
    {
        return inputType;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskId", getTaskId())
            .append("maId", getMaId())
            .append("typeId", getTypeId())
            .append("parentId", getParentId())
            .append("inputNum", getInputNum())
            .append("inputType", getInputType())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("companyId", getCompanyId())
            .toString();
    }
}
